plugins {
    kotlin("jvm") version "2.0.0"
    id("org.openjfx.javafxplugin") version "0.0.13"
    application
    distribution
}

application {
    mainClass.set("xyz.maxwellj.glide.MainKt")
    layout.buildDirectory.dir("distributions/")
}

group = "xyz.maxwellj.glide"
version = "0.0.1"

repositories {
    mavenCentral()
}

tasks.withType<Jar> {
    manifest {
        attributes["Main-Class"] = "xyz.maxwellj.glide.MainKt"
    }
}

dependencies {
    testImplementation(kotlin("test"))
    implementation(kotlin("stdlib-jdk8"))
    testImplementation(kotlin("test"))
}

javafx {
    version = "17.0.2"
    modules = listOf("javafx.controls", "javafx.fxml")
}

tasks.test {
    useJUnitPlatform()
}
kotlin {
    jvmToolchain(17)
}
